-- ODS_CD_COM_ALL_MIDDLE
-- ODS_承保机构_过程

insert into ODS_CK.ODS_CK_MYSQL.MQ_MIDDLE
select
    updateTime
    ,updateType
from ODS.ODS_MQ.COM_CHANGE_MQ  
;



insert into ODS_CK.ODS_CK_MYSQL.CD_COM_ALL_MIDDLE
select
    t1.COMCODE
     ,t1.COMNAME
     ,t1.LEVEL1COMCODE
     ,t1.LEVEL2COMCODE
     ,t1.LEVEL3COMCODE
     ,t1.LEVEL4COMCODE
     ,t1.LEVEL5COMCODE
     ,t1.LEVEL1COMDESC
     ,t1.LEVEL2COMDESC
     ,t1.LEVEL3COMDESC
     ,t1.LEVEL4COMDESC
     ,t1.LEVEL5COMDESC
     ,t1.COMLEVEL
     ,case when s1.`status` = 'Discarded' then '0'
           when s1.`status` = 'Effective' then '1'
    end  as  VALIDFLAG
from (
         select
             u1.`sign`
              ,u1.`partyId`
              ,u1.`name`
              ,u1.`status`
              ,u1.`rolePartyId`
         from ODS.ODS_MQ.COM_CHANGE_MQ m1
                  cross join lateral table(MqPushMySqlUDTF(m1.updateTime
						, m1.updateType
						, 'http://9.23.28.25/rbac/service/hr/core/structure/structureChanges'
		)) u1(`sign`, `partyId`, `name`, `status`, `rolePartyId`)
         where u1.`sign` = 'structureChangeList'
     ) s1
         left join ODS.ODS_MYSQL.CD_COM_ALL  t1 on s1.`partyId` = t1.COMCODE
;

-- structureRlshipChangeList 有效数据视图
CREATE TEMPORARY VIEW VIEW_ODS_CD_COM_ALL_TUANDUI AS
select
    t1.COMCODE
     ,t1.COMNAME
     ,t1.LEVEL1COMCODE
     ,t1.LEVEL2COMCODE
     ,t1.LEVEL3COMCODE
     ,t1.LEVEL4COMCODE
     ,t1.LEVEL5COMCODE
     ,t1.LEVEL1COMDESC
     ,t1.LEVEL2COMDESC
     ,t1.LEVEL3COMDESC
     ,t1.LEVEL4COMDESC
     ,t1.LEVEL5COMDESC
     ,t1.COMLEVEL
     ,t1.VALIDFLAG
     ,s1.`partyId`
     ,s1.`name`
     ,s1.`status`
     ,s1.`rolePartyId`
from (
         select
             u1.`sign`
              ,u1.`partyId`
              ,u1.`name`
              ,u1.`status`
              ,u1.`rolePartyId`
         from ODS.ODS_MQ.COM_CHANGE_MQ m1
                  cross join lateral table(MqPushMySqlUDTF(m1.updateTime
						, m1.updateType
						, 'http://9.23.28.25/rbac/service/hr/core/structure/structureChanges'
		)) u1(`sign`, `partyId`, `name`, `status`, `rolePartyId`)
         where u1.`sign` = 'structureRlshipChangeList'
           and u1.`status` = 'Effective'
     ) s1
         left join ODS.ODS_MYSQL.CD_COM_ALL  t1 on s1.`rolePartyId` = t1.COMCODE
;


-- structureRlshipChangeList 有效数据插入
insert into ODS_CK.ODS_CK_MYSQL.CD_COM_ALL_MIDDLE
select
    s1.COMCODE
     ,s1.COMNAME
     ,s1.LEVEL1COMCODE
     ,s1.LEVEL2COMCODE
     ,s1.LEVEL3COMCODE
     ,s1.LEVEL4COMCODE
     ,s1.LEVEL5COMCODE
     ,s1.LEVEL1COMDESC
     ,s1.LEVEL2COMDESC
     ,s1.LEVEL3COMDESC
     ,s1.LEVEL4COMDESC
     ,s1.LEVEL5COMDESC
     ,s1.COMLEVEL
     ,s1.VALIDFLAG
from (
         select
             a1.`partyId`     as COMCODE
              ,a1.`name`        as COMNAME
              ,a1.LEVEL1COMCODE as LEVEL1COMCODE
              ,a1.LEVEL2COMCODE as LEVEL2COMCODE
              ,a1.`partyId`     as LEVEL3COMCODE
              ,a1.`partyId`     as LEVEL4COMCODE
              ,a1.`partyId`     as LEVEL5COMCODE
              ,a1.LEVEL1COMDESC as LEVEL1COMDESC
              ,a1.LEVEL2COMDESC as LEVEL2COMDESC
              ,a1.`name`        as LEVEL3COMDESC
              ,a1.`name`        as LEVEL4COMDESC
              ,a1.`name`        as LEVEL5COMDESC
              ,a1.COMLEVEL +1   as COMLEVEL
              ,'1'              as VALIDFLAG
         from VIEW_ODS_CD_COM_ALL_TUANDUI a1
         where a1.COMCODE  = a1.LEVEL2COMCODE
         union all
         select
             a1.`partyId`     as COMCODE
              ,a1.`name`        as COMNAME
              ,a1.LEVEL1COMCODE as LEVEL1COMCODE
              ,a1.LEVEL2COMCODE as LEVEL2COMCODE
              ,a1.LEVEL3COMCODE as LEVEL3COMCODE
              ,a1.`partyId`     as LEVEL4COMCODE
              ,a1.`partyId`     as LEVEL5COMCODE
              ,a1.LEVEL1COMDESC as LEVEL1COMDESC
              ,a1.LEVEL2COMDESC as LEVEL2COMDESC
              ,a1.LEVEL3COMDESC as LEVEL3COMDESC
              ,a1.`name`        as LEVEL4COMDESC
              ,a1.`name`        as LEVEL5COMDESC
              ,a1.COMLEVEL +1   as COMLEVEL
              ,'1'              as VALIDFLAG
         from VIEW_ODS_CD_COM_ALL_TUANDUI a1
         where a1.COMCODE <> a1.LEVEL2COMCODE
           and a1.COMCODE = a1.LEVEL3COMCODE
         union all
         select
             a1.`partyId`     as COMCODE
              ,a1.`name`        as COMNAME
              ,a1.LEVEL1COMCODE as LEVEL1COMCODE
              ,a1.LEVEL2COMCODE as LEVEL2COMCODE
              ,a1.LEVEL3COMCODE as LEVEL3COMCODE
              ,a1.LEVEL4COMCODE as LEVEL4COMCODE
              ,a1.`partyId`     as LEVEL5COMCODE
              ,a1.LEVEL1COMDESC as LEVEL1COMDESC
              ,a1.LEVEL2COMDESC as LEVEL2COMDESC
              ,a1.LEVEL3COMDESC as LEVEL3COMDESC
              ,a1.LEVEL4COMDESC as LEVEL4COMDESC
              ,a1.`name`        as LEVEL5COMDESC
              ,a1.COMLEVEL +1   as COMLEVEL
              ,'1'              as VALIDFLAG
         from VIEW_ODS_CD_COM_ALL_TUANDUI a1
         where a1.COMCODE <> a1.LEVEL2COMCODE
           and a1.COMCODE <> a1.LEVEL3COMCODE
           and a1.COMCODE = a1.LEVEL4COMCODE
     ) s1
;