-- ZB_CK_DMMQWEBSERVICE ZB_CK_MQ与WEBSERVICE清单比较结果汇总

insert into ZB_CK.ZB_CK_MYSQL.ZB_CK_DMMQWEBSERVICE
select
DATE_FORMAT(TIMESTAMPADD(DAY,-1,LOCALTIMESTAMP),'yyyy-MM-dd')     as buss_time       -- 业务时间
, cast(s1.current_num                         as varchar)         as current_num     -- 加工平台数据量
, cast(s1.current_fc_num                      as varchar)         as current_fc_num  -- 加工平台非车数据量
, cast(s1.current_car_num                     as varchar)         as current_car_num -- 加工平台车险数据量
, cast(s1.current_qdbf                        as varchar)         as current_qdbf    -- 加工平台总公司今日签单保费和
, cast(s2.actual_num                          as varchar)         as actual_num      -- 老系统数据量
, cast(s2.actual_fc_num                       as varchar)         as actual_fc_num   -- 老系统非车数据量
, cast(s2.actual_car_num                      as varchar)         as actual_car_num  -- 老系统车险数据量
, cast(s2.actual_qdbf                         as varchar)         as actual_qdbf     -- 老系统总公司今日签单保费和
, cast(s1.current_num     - s2.actual_num     as varchar)         as poor_num        -- 数据量差值
, cast(s1.current_fc_num  - s2.actual_fc_num  as varchar)         as poor_fc_num     -- 非车数据量差值
, cast(s1.current_car_num - s2.actual_car_num as varchar)         as poor_car_num    -- 车险数据量差值
, cast(s1.current_qdbf    - s2.actual_qdbf    as varchar)         as poor_qdbf       -- 总公司今日签单保费和差值
, DATE_FORMAT(LOCALTIMESTAMP,'yyyy-MM-dd HH:mm:ss')               as log_time        -- 核对时间
from (
	select
	    sum(1)                                as current_num     -- 加工平台数据量
	    , sum(if(left(risk,2) ='05',0,1))  as current_fc_num  -- 加工平台非车数据量
	    , sum(if(left(risk,2) ='05',1,0))  as current_car_num -- 加工平台车险数据量
	    , sum(cast(cost as decimal(18,2)))    as current_qdbf    -- 加工平台总公司今日签单保费和
	from ZB_CK.ZB_CK_MYSQL.KAFKA_CBDATA
	where uwConclueDate = DATE_FORMAT(TIMESTAMPADD(DAY,-1,LOCALTIMESTAMP),'yyyyMMdd')
	and cast(cost as decimal(18,2)) <> 0
) s1
cross join (
	select
	    sum(1)                                as actual_num     -- 老系统数据量
	    , sum(if(left(RISKCODE,2) ='05',0,1))  as actual_fc_num  -- 老系统非车数据量
	    , sum(if(left(RISKCODE,2) ='05',1,0))  as actual_car_num -- 老系统车险数据量
	    , sum(cast(BAOFEI as decimal(18,2)))    as actual_qdbf    -- 老系统总公司今日签单保费和
	from ZB_CK.ZB_CK_ORACLE_ANAQUERY.WEB_REALTIME_BUSINESS_INFO
	where UNDERWRITEENDDATE like concat(DATE_FORMAT(TIMESTAMPADD(DAY,-1,LOCALTIMESTAMP),'yyyy-MM-dd'),'%')
	and LOADDATE like concat(DATE_FORMAT(TIMESTAMPADD(DAY,-1,LOCALTIMESTAMP),'yyyy-MM-dd'),'%')
	and cast(BAOFEI as decimal(18,2)) <> 0
) s2

;